## feedbackd-device-themes 0.8.6

=== meson_options.txt ===
option('validate',
       type: 'feature', value: 'auto',
       description: 'Whether to validate the themes')

## feedbackd-device-themes 0.0.20210909

=== debian/changelog ===
feedbackd-device-themes (0.0.20210909-2) unstable; urgency=medium

  * Team upload.
  * Source only upload.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 22 Dec 2021 16:54:21 +0000

feedbackd-device-themes (0.0.20210909-1) unstable; urgency=medium

  * Initial Debian packaging (Closes: #994180)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Fri, 10 Sep 2021 10:52:32 +0200

=== debian/control ===
Source: feedbackd-device-themes
Section: admin
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
           Guido Günther <agx@sigxcpu.org>,
Build-Depends:
 debhelper-compat (= 13),
 json-glib-tools,
 meson,
Standards-Version: 4.6.0
Homepage: https://source.puri.sm/Librem5/feedbackd-device-themes
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/feedbackd-device-themes
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/feedbackd-device-themes.git
Rules-Requires-Root: no

Package: feedbackd-device-themes
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 feedbackd (>= 0.0.0+git20210125),
Description: Device specific themes for Feedbackd
 Feedbackd is a DBus activated daemon that provides haptic/
 visual/audio feedback based on events.
 .
 This package contains device-specific feedback theme files.
 Currently supported devices include:
   * Pine64 PinePhone
   * Purism Librem 5
   * OnePlus 6/6T
   * Xiaomi Pocophone F1

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/feedbackd-device-themes.*\.tar\.gz/feedbackd-device-themes-$1\.tar\.gz/g \
  https://source.puri.sm/Librem5/feedbackd-device-themes/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## feedbackd-device-themes 0.0.20220523

=== debian/changelog ===
feedbackd-device-themes (0.0.20220523-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: update for new release

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 26 May 2022 01:12:20 +0200

## feedbackd-device-themes 0.0.r3

=== debian/changelog ===
feedbackd-device-themes (0.0.r3-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Feb 2023 16:23:15 +0100

feedbackd-device-themes (0.0.r2-1) unstable; urgency=medium

  [ Guido Günther ]
  * New upstream version 0.0.2. We mangle the version number to
    be higher than the date base snapshots. Can be dropped with
    0.1.0.
  * Update upstream metadata
  * d/watch: Use signed tarballs
  * d/gbp.conf: Enable upstream-vcs
  * Enable theme validation
  * Add autopkgtest
  * Bump build and runtime dependencies on feedbackd to 0.0.2 as this version
    is needed to honor the `parent-name` property.

  [ Debian Janitor ]
  * Apply multi-arch hints. + feedbackd-device-themes: Add Multi-Arch:
    foreign.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 16 Dec 2022 09:55:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
            Guido Günther <agx@sigxcpu.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ feedbackd (>= 0.0.2),
  json-glib-tools,
  meson,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://source.puri.sm/Librem5/feedbackd-device-themes
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/feedbackd-device-themes
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/feedbackd-device-themes.git
@@ -19,7 +20,8 @@
 Depends:
  ${misc:Depends},
 Recommends:
- feedbackd (>= 0.0.0+git20210125),
+ feedbackd (>= 0.0.2),
+Multi-Arch: foreign
 Description: Device specific themes for Feedbackd
  Feedbackd is a DBus activated daemon that provides haptic/
  visual/audio feedback based on events.

=== debian/tests/control ===
Test-Command: for t in /usr/share/feedbackd/themes/*,*.json; do XDG_CURRENT_DESKTOP= fbd-theme-validate $t; done
Depends:
 @,
 feedbackd (>= 0.0.2),
Restrictions: superficial

## feedbackd-device-themes 0.4.0

=== debian/changelog ===
feedbackd-device-themes (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to new upstream tarball location

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Jun 2024 10:39:17 +0200

feedbackd-device-themes (0.1.0-2) unstable; urgency=medium

  * Upload to unstable 

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 May 2024 22:13:19 +0200

feedbackd-device-themes (0.1.0-1) experimental; urgency=medium
  
  * Upload to experimental
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Feb 2023 18:15:20 +0100

## feedbackd-device-themes 0.8.0

=== debian/changelog ===
feedbackd-device-themes (0.8.0-2) unstable; urgency=medium

  * tests: allow-stderr.
    When feedbackd-device-themes hits older feedbackd we generate a warning
    as that feedbackd doesn't know about FbdFeedbackPattern. This is
    harmless though and better than adding a lockstep dependency.
  * tests: Remove superficial.
    Parsing for validity is the best we can do for such data.
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Mon, 24 Mar 2025 10:30:59 +0100

feedbackd-device-themes (0.8.0-1) unstable; urgency=medium

  * New upstream release
    * oneplus,fajita: Use more nuanced feedback for calls
  * Backport upstream patch to drop superfluous VibraPeriodic entries
    triggering warnings.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 22 Mar 2025 14:30:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  feedbackd (>= 0.0.2),
  json-glib-tools,
  meson,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://source.puri.sm/Librem5/feedbackd-device-themes
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/feedbackd-device-themes
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/feedbackd-device-themes.git

## feedbackd-device-themes 0.8.1

=== debian/changelog ===
feedbackd-device-themes (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches.Applied upstream
  * google,sargo: Increase haptic feedback on button press

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Mar 2025 17:05:52 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Depends:
  ${misc:Depends},
 Recommends:
- feedbackd (>= 0.0.2),
+ feedbackd (>= 0.8.0~),
 Multi-Arch: foreign
 Description: Device specific themes for Feedbackd
  Feedbackd is a DBus activated daemon that provides haptic/

## feedbackd-device-themes 0.8.2

=== debian/changelog ===
feedbackd-device-themes (0.8.2-1) unstable; urgency=medium

  * New upstream release
    * purism,librem5: Increase haptic feedback on button press
  * Drop patches. Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Apr 2025 14:36:57 +0200

## feedbackd-device-themes 0.8.3

=== debian/changelog ===
feedbackd-device-themes (0.8.3-2) unstable; urgency=medium

  * Backport upstream fix to make key-press feedback stronger
    on google,sargo

 -- Guido Günther <agx@sigxcpu.org>  Fri, 30 May 2025 17:57:44 +0200

feedbackd-device-themes (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * Update metadata URLs. Project moved to fdo

 -- Guido Günther <agx@sigxcpu.org>  Sat, 10 May 2025 11:59:30 +0200

## feedbackd-device-themes 0.8.4

=== debian/changelog ===
feedbackd-device-themes (0.8.4-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
    * google,sargo: Make button press feedback stronger.
  * Drop all patches. Fixed upstream.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Jun 2025 09:52:56 +0200

## feedbackd-device-themes 0.8.5

=== debian/changelog ===
feedbackd-device-themes (0.8.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sat, 09 Aug 2025 12:33:10 +0200

feedbackd-device-themes (0.8.5-1) experimental; urgency=medium

  * New upstream release
    * Add `key-pressed` and `key-release` events to themes that
      override `button-*` events
  * Bump feedbackd Recommends:

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Aug 2025 17:53:44 +0200

## feedbackd-device-themes 0.8.6

=== debian/changelog ===
feedbackd-device-themes (0.8.6-1) unstable; urgency=medium

  * New upstream release
    * Reduce brightness of Pixel 3A's status flash

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Sep 2025 19:50:44 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Depends:
  ${misc:Depends},
 Recommends:
- feedbackd (>= 0.8.0~),
+ feedbackd (>= 0.8.4~),
 Multi-Arch: foreign
 Description: Device specific themes for Feedbackd
  Feedbackd is a DBus activated daemon that provides haptic/

=== debian/rules ===
#!/usr/bin/make -f

CONFIGURE_OPTS = -Dvalidate=enabled

XDG_CURRENT_DESKTOP=
export XDG_CURRENT_DESKTOP

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/tests/control ===
--- 
+++ 
@@ -2,4 +2,4 @@
 Depends:
  @,
  feedbackd (>= 0.0.2),
-Restrictions: superficial
+Restrictions: allow-stderr

## feedbackd-device-themes 0.8.7

=== debian/changelog ===
feedbackd-device-themes (0.8.7-1) unstable; urgency=medium

  * New upstream release
    * Improve haptic feedback strengh for Pixel 3A XL

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Nov 2025 18:58:58 +0100

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" https://sources.phosh.mobi/releases/@PACKAGE@/ \
             @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## feedbackd-device-themes 0.8.8

=== debian/changelog ===
feedbackd-device-themes (0.8.8-1) unstable; urgency=medium

  * New upstream release
    * data: Add xiaomi-davinci theme

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Feb 2026 08:38:21 +0100
